<?xml version="1.0" encoding="UTF-8"?>
<xliff xmlns="urn:oasis:names:tc:xliff:document:1.1" version="1.1">
  <file original="NoName" source-language="en" datatype="plaintext" target-language="en">
    <body>
      <trans-unit xml:space="preserve" approved="no" id="a705c848bc3cec1d" weblate-flags="read-only">
        <source>Configuration Preprocessor Definitions</source>
        <target state="translated">Configuration Preprocessor Definitions</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">10</context>
        </context-group>
        <note from="developer">type: section title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="c40700631429119f" weblate-flags="read-only">
        <source>A number of configuration preprocessor definitions can be used to change the behavior of Beast. The user should assume that they introduce significant changes to the public part of this library's API and make sure that all translation units (usually files) compiled and linked into a program use the same combination of configuration macros, failure to do so may result in violations of ODR (One Definition Rule).</source>
        <target state="translated">A number of configuration preprocessor definitions can be used to change the behavior of Beast. The user should assume that they introduce significant changes to the public part of this library's API and make sure that all translation units (usually files) compiled and linked into a program use the same combination of configuration macros, failure to do so may result in violations of ODR (One Definition Rule).</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">12</context>
        </context-group>
        <note from="developer">type: paragraph</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="92c0dc5eb42e8e27" weblate-flags="read-only">
        <source>Special Fields</source>
        <target state="translated">Special Fields</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table title</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f1424605c43ce213" weblate-flags="read-only">
        <source>Definition</source>
        <target state="translated">Definition</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="f7f5c115cf553484" weblate-flags="read-only">
        <source>Description</source>
        <target state="translated">Description</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="9d2887a97102cc4d" weblate-flags="read-only">
        <source>BOOST_BEAST_SEPARATE_COMPILATION</source>
        <target state="translated">BOOST_BEAST_SEPARATE_COMPILATION</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="2ac2b3e392fdb56d" weblate-flags="read-only">
        <source>Enables the split compilation mode, which allows the user to compile definitions of non-template entities in a single translation unit, thus improving compilation speed. That translation unit has to include boost/beast/src.hpp in order to compile the definitions.</source>
        <target state="translated">Enables the split compilation mode, which allows the user to compile definitions of non-template entities in a single translation unit, thus improving compilation speed. That translation unit has to include boost/beast/src.hpp in order to compile the definitions.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="fd9008340d21b337" weblate-flags="read-only">
        <source>BOOST_BEAST_ALLOW_DEPRECATED</source>
        <target state="translated">BOOST_BEAST_ALLOW_DEPRECATED</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="6380f7df534ff235" weblate-flags="read-only">
        <source>Enables the use of deprecated APIs within Beast.</source>
        <target state="translated">Enables the use of deprecated APIs within Beast.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="3feb77810a1b64c6" weblate-flags="read-only">
        <source>BOOST_BEAST_FILE_BUFFER_SIZE</source>
        <target state="translated">BOOST_BEAST_FILE_BUFFER_SIZE</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
      <trans-unit xml:space="preserve" approved="no" id="1b36301bdb933f43" weblate-flags="read-only">
        <source>Sets the small buffer size for the file_body. Defaults to 4096.</source>
        <target state="translated">Sets the small buffer size for the file_body. Defaults to 4096.</target>
        <context-group name="" purpose="location">
          <context context-type="sourcefile">19</context>
        </context-group>
        <note from="developer">type: table cell</note>
      </trans-unit>
    </body>
  </file>
</xliff>
